<?php 

/*
|--------------------------------------------------------------------------
| Load Default Layout on Theme Activation
|--------------------------------------------------------------------------
*/

if ( ! function_exists( 'ut_load_layout_into_ot' ) ) {

	function ut_load_layout_into_ot() {
		
		$GLOBALS['ut_load_ot_layout'] = true;		

		include_once( THEME_DOCUMENT_ROOT . '/admin/includes/ot-functions-admin.php' );
		
		/* ot layout file */ 
		$ot_layout_file = get_template_directory() . '/admin/assets/optionsdata/layouts.txt';
		
		if ( !is_readable( $ot_layout_file ) ) {
			return;
		}
		
		/* file rawdata */
      	$rawdata = file_get_contents( $ot_layout_file );
		$layouts = isset( $rawdata ) ? unserialize( ot_decode( $rawdata ) ) : '';
				
		/* get settings array */
      	$settings = get_option( 'option_tree_settings' );		
		
		/* has layouts */
      	if ( is_array( $layouts ) ) {
		 	
			/* validate options */
        	if ( is_array( $settings ) ) {
				
				foreach( $layouts as $key => $value ) {
					
					if ( $key == 'active_layout' )
              			continue;
              
            		$options = unserialize( ot_decode( $value ) );
										
					foreach( $settings['settings'] as $setting ) {

					  if ( isset( $options[$setting['id']] ) ) {
						
						$content = ot_stripslashes( $options[$setting['id']] );
						
						$options[$setting['id']] = ot_validate_setting( $content, $setting['type'], $setting['id'] );
						
					  }
					
					}
		
					$layouts[$key] = ot_encode( serialize( $options ) );
					
				}
				
			}
			
			/* update the option tree array */
			if ( isset( $layouts['active_layout'] ) ) {
			  
			  $new_options = unserialize( ot_decode( $layouts[$layouts['active_layout']] ) );
			  			  
			  /* execute the action hook and pass the theme options to it */
			  do_action( 'ot_before_theme_options_save', $new_options );
			
			  update_option('option_tree', $new_options );
			  update_option('ut_layout_loaded' , 'active' );
			  
			}
			
			/* update the option tree layouts array */
			update_option( 'option_tree_layouts', $layouts );
			$GLOBALS['ut_load_ot_layout'] = false;
					 
		}
	
	}
	
	add_action('ut_load_layout' , 'ut_load_layout_into_ot');
	
} ?>